"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.POPMessageInfo = void 0;
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
// tslint:disable-next-line: no-var-requires
let bindings;
try {
    bindings = require(path.join(__dirname, "../../lib/binding/trusted_mailcore2.node"));
}
catch (e) {
    bindings = require(path.join(__dirname, "../../lib/binding/trusted_mailcore2_no_crypto.node"));
}
// tslint:disable-next-line
const { POPMessageInfo: _POPMessageInfo } = bindings;
/**
 * POPMessageInfo Class
 *
 * @public
 */
class POPMessageInfo extends bindings.POPMessageInfo {
    constructor() {
        super();
        const handle = new _POPMessageInfo();
        this.handle = handle;
    }
    /**
     * Set index
     *
     * @memberof POPMessageInfo
     */
    set index(idxVal) {
        this.handle.index = idxVal;
    }
    /**
     * Get index
     *
     * @type {number}
     * @memberof POPMessageInfo
     */
    get index() {
        return this.handle.index;
    }
    /**
     * Set size
     *
     * @memberof POPMessageInfo
     */
    set size(sizeVal) {
        this.handle.size = sizeVal;
    }
    /**
     * Get size
     *
     * @type {number}
     * @memberof POPMessageInfo
     */
    get size() {
        return this.handle.size;
    }
    /**
     * Set UID
     *
     * @memberof POPMessageInfo
     */
    set UID(uidVal) {
        this.handle.UID = uidVal;
    }
    /**
     * Get UID
     *
     * @type {string}
     * @memberof POPMessageInfo
     */
    get UID() {
        return this.handle.UID;
    }
}
exports.POPMessageInfo = POPMessageInfo;
//# sourceMappingURL=POPMessageInfo.js.map