/// <reference types="node" />
import { AttachmentNativeBinding } from './AttachmentNativeBinding';
import { MessageHeaderNativeBinding } from './MessageHeaderNativeBinding';
import { SignExtendedInfo } from './SignExtendedInfo';
export declare class MessageParserNativeBinding {
    constructor(data?: string | Buffer, kuPolicy?: "kupNone" | "kupCheckKeyEnc" | "kupCheckKeyAgree" | "kupCheckOneOf");
    get doNotDecrypt(): boolean;
    set doNotDecrypt(decryptVal: boolean);
    get keyUsagePolicy(): "kupNone" | "kupCheckKeyEnc" | "kupCheckKeyAgree" | "kupCheckOneOf";
    set keyUsagePolicy(policyVal: "kupNone" | "kupCheckKeyEnc" | "kupCheckKeyAgree" | "kupCheckOneOf");
    SetTempFolder(tmpFolderPath: string): void;
    ReadAsync(fileName: string, done: (error: string | Error | undefined | null) => void): void;
    Read(fileName: string): void;
    ImportAsync(data: Buffer | string, done: (error: string | Error | undefined | null) => void): void;
    Import(data: Buffer | string): void;
    get header(): MessageHeaderNativeBinding | undefined;
    HtmlRendering(): string;
    HtmlBodyRendering(): string;
    PlainTextRendering(): string;
    PlainTextBodyRendering(): string;
    get attachments(): AttachmentNativeBinding[];
    get htmlInlineAttachments(): AttachmentNativeBinding[];
    get isSigned(): boolean;
    get isEncrypted(): boolean;
    get verifyResult(): boolean;
    get signerCertificate(): Buffer;
    get extendedSignInfo(): SignExtendedInfo | undefined;
    get decryptResult(): boolean;
    get decryptMessage(): string;
    clear(): void;
}
export declare interface MessageParserNativeBindingObject {
    new (data?: string | Buffer, kuPolicy?: "kupNone" | "kupCheckKeyEnc" | "kupCheckKeyAgree" | "kupCheckOneOf"): MessageParserNativeBinding;
    strError(errorCode: number): string;
}
//# sourceMappingURL=MessageParserNativeBinding.d.ts.map